// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		AFB62B522BCE1A8D00002214 /* HikeApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B512BCE1A8D00002214 /* HikeApp.swift */; };
		AFB62B542BCE1A8D00002214 /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B532BCE1A8D00002214 /* ContentView.swift */; };
		AFB62B562BCE1A8E00002214 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = AFB62B552BCE1A8E00002214 /* Assets.xcassets */; };
		AFB62B592BCE1A8E00002214 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = AFB62B582BCE1A8E00002214 /* Preview Assets.xcassets */; };
		AFB62B602BCE1C8800002214 /* CardView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B5F2BCE1C8800002214 /* CardView.swift */; };
		AFB62B632BCE1DD400002214 /* CustomBackgroundView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B622BCE1DD400002214 /* CustomBackgroundView.swift */; };
		AFB62B662BCE1F2D00002214 /* ColorExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B652BCE1F2D00002214 /* ColorExtension.swift */; };
		AFB62B682BCE238200002214 /* CustomButtonView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B672BCE238200002214 /* CustomButtonView.swift */; };
		AFB62B6A2BCE29CB00002214 /* GradientButtonStyle.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFB62B692BCE29CB00002214 /* GradientButtonStyle.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		AFB62B4E2BCE1A8D00002214 /* Hike.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Hike.app; sourceTree = BUILT_PRODUCTS_DIR; };
		AFB62B512BCE1A8D00002214 /* HikeApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HikeApp.swift; sourceTree = "<group>"; };
		AFB62B532BCE1A8D00002214 /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		AFB62B552BCE1A8E00002214 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		AFB62B582BCE1A8E00002214 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		AFB62B5F2BCE1C8800002214 /* CardView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CardView.swift; sourceTree = "<group>"; };
		AFB62B622BCE1DD400002214 /* CustomBackgroundView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomBackgroundView.swift; sourceTree = "<group>"; };
		AFB62B652BCE1F2D00002214 /* ColorExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorExtension.swift; sourceTree = "<group>"; };
		AFB62B672BCE238200002214 /* CustomButtonView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomButtonView.swift; sourceTree = "<group>"; };
		AFB62B692BCE29CB00002214 /* GradientButtonStyle.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GradientButtonStyle.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		AFB62B4B2BCE1A8D00002214 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		AFB62B452BCE1A8D00002214 = {
			isa = PBXGroup;
			children = (
				AFB62B502BCE1A8D00002214 /* Hike */,
				AFB62B4F2BCE1A8D00002214 /* Products */,
			);
			sourceTree = "<group>";
		};
		AFB62B4F2BCE1A8D00002214 /* Products */ = {
			isa = PBXGroup;
			children = (
				AFB62B4E2BCE1A8D00002214 /* Hike.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		AFB62B502BCE1A8D00002214 /* Hike */ = {
			isa = PBXGroup;
			children = (
				AFB62B642BCE1F1300002214 /* Utility */,
				AFB62B512BCE1A8D00002214 /* HikeApp.swift */,
				AFB62B532BCE1A8D00002214 /* ContentView.swift */,
				AFB62B552BCE1A8E00002214 /* Assets.xcassets */,
				AFB62B572BCE1A8E00002214 /* Preview Content */,
				AFB62B612BCE1D5C00002214 /* Component */,
			);
			path = Hike;
			sourceTree = "<group>";
		};
		AFB62B572BCE1A8E00002214 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				AFB62B582BCE1A8E00002214 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		AFB62B612BCE1D5C00002214 /* Component */ = {
			isa = PBXGroup;
			children = (
				AFB62B5F2BCE1C8800002214 /* CardView.swift */,
				AFB62B622BCE1DD400002214 /* CustomBackgroundView.swift */,
				AFB62B672BCE238200002214 /* CustomButtonView.swift */,
			);
			path = Component;
			sourceTree = "<group>";
		};
		AFB62B642BCE1F1300002214 /* Utility */ = {
			isa = PBXGroup;
			children = (
				AFB62B652BCE1F2D00002214 /* ColorExtension.swift */,
				AFB62B692BCE29CB00002214 /* GradientButtonStyle.swift */,
			);
			path = Utility;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		AFB62B4D2BCE1A8D00002214 /* Hike */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = AFB62B5C2BCE1A8E00002214 /* Build configuration list for PBXNativeTarget "Hike" */;
			buildPhases = (
				AFB62B4A2BCE1A8D00002214 /* Sources */,
				AFB62B4B2BCE1A8D00002214 /* Frameworks */,
				AFB62B4C2BCE1A8D00002214 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Hike;
			productName = Hike;
			productReference = AFB62B4E2BCE1A8D00002214 /* Hike.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		AFB62B462BCE1A8D00002214 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1530;
				LastUpgradeCheck = 1530;
				TargetAttributes = {
					AFB62B4D2BCE1A8D00002214 = {
						CreatedOnToolsVersion = 15.3;
					};
				};
			};
			buildConfigurationList = AFB62B492BCE1A8D00002214 /* Build configuration list for PBXProject "Hike" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = AFB62B452BCE1A8D00002214;
			productRefGroup = AFB62B4F2BCE1A8D00002214 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				AFB62B4D2BCE1A8D00002214 /* Hike */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		AFB62B4C2BCE1A8D00002214 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				AFB62B592BCE1A8E00002214 /* Preview Assets.xcassets in Resources */,
				AFB62B562BCE1A8E00002214 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		AFB62B4A2BCE1A8D00002214 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				AFB62B542BCE1A8D00002214 /* ContentView.swift in Sources */,
				AFB62B602BCE1C8800002214 /* CardView.swift in Sources */,
				AFB62B522BCE1A8D00002214 /* HikeApp.swift in Sources */,
				AFB62B682BCE238200002214 /* CustomButtonView.swift in Sources */,
				AFB62B6A2BCE29CB00002214 /* GradientButtonStyle.swift in Sources */,
				AFB62B632BCE1DD400002214 /* CustomBackgroundView.swift in Sources */,
				AFB62B662BCE1F2D00002214 /* ColorExtension.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		AFB62B5A2BCE1A8E00002214 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.4;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		AFB62B5B2BCE1A8E00002214 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.4;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		AFB62B5D2BCE1A8E00002214 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Hike/Preview Content\"";
				DEVELOPMENT_TEAM = VU5HK4B255;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.dialaxy.Hike;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		AFB62B5E2BCE1A8E00002214 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Hike/Preview Content\"";
				DEVELOPMENT_TEAM = VU5HK4B255;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.dialaxy.Hike;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		AFB62B492BCE1A8D00002214 /* Build configuration list for PBXProject "Hike" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				AFB62B5A2BCE1A8E00002214 /* Debug */,
				AFB62B5B2BCE1A8E00002214 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		AFB62B5C2BCE1A8E00002214 /* Build configuration list for PBXNativeTarget "Hike" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				AFB62B5D2BCE1A8E00002214 /* Debug */,
				AFB62B5E2BCE1A8E00002214 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = AFB62B462BCE1A8D00002214 /* Project object */;
}
